# json – Ansible screen output as JSON

- Synopsis

- Requirements

- Parameters

- Notes

- Status

## Synopsis

- This callback converts all events into JSON output to stdout

## Requirements

The below requirements are needed on the local master node that executes this callback.

- Set as stdout in config

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---

show_custom_stats
boolean
added in 2.6

Choices:
- no ←
- yes

ini entries:

[defaults]
show_custom_stats = no

env:ANSIBLE_SHOW_CUSTOM_STATS

This adds the custom stats set via the set_stats plugin to the play recap

## Notes

Note

- When using a strategy such as free, host_pinned, or a custom strategy, host results will be added to new task results in `.plays[].tasks[]`. As such, there will exist duplicate task objects indicated by duplicate task IDs at `.plays[].tasks[].task.id`, each with an individual host result for the task.

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.